Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.strutturariabilitativa.vo.getstrutturariabilitativaaccreditata
Class StrutturaRiabilitativaAccreditataRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.strutturariabilitativa.vo.getstrutturariabilitativaaccreditata.StrutturaRiabilitativaAccreditataRequest

    public class StrutturaRiabilitativaAccreditataRequest

extends java.lang.Object

La classe `StrutturaRiabilitativaAccreditataRequest` contiene i filtri di ricerca necessari per la richiesta del servizio "getStrutturaRiabilitativaAccreditata". La ricerca verā eseguita per:
- codice identificativo univoco a livello Regionale; Tale codice č opzionale e se specificato deve essere di lunghezza 6.
oppure per:
- denominazione
- tipologia (pubblica o privata);
- codice ISTAT del comune della sede in cui svolge la propria attivitā;
- stato del rapporto di accreditamento (attivo o non attivo).

Field Summary
`private java.lang.String` | `codiceStruttura` Codice identificativo univoco a livello Regionale.
`private java.lang.String` | `codISTAT` Codice ISTAT del comune della sede in cui svolge la propria attivitā;
`private java.lang.String` | `denominazione` denominazione della struttura riabilitativa.
`private java.lang.String` | `flagAccreditamentoAttivo` Stato del rapporto di accreditamento (attivo o non attivo).
`private java.lang.String` | `flagTipoPrivata` Identifica la tipologia della struttura riabilitativa (pubblica o privata).

Constructor Summary
`StrutturaRiabilitativaAccreditataRequest()`

Method Summary
`java.lang.String` | `getCodiceStruttura()` Restituisce il codice identificativo univoco a livello Regionale.
`java.lang.String` | `getCodISTAT()` Restituisce il codice ISTAT del comune della sede in cui svolge la propria attività
`java.lang.String` | `getDenominazione()` Restituisce la denominazione della struttura riabilitativa accreditata
`java.lang.String` | `getFlagAccreditamentoAttivo()` Restituisce lo stato del rapporto di accreditamento.
`java.lang.String` | `getFlagTipoPrivata()` Restituisce la tipologia della struttura riabilitativa.
`void` | `setCodiceStruttura(java.lang.String codiceStruttura)` Imposta il codice identificativo univoco a livello Regionale.
`void` | `setCodISTAT(java.lang.String codISTAT)` Imposta il codice ISTAT del comune della sede in cui svolge la propria attività
`void` | `setDenominazione(java.lang.String denominazione)` Imposta la denominazione della struttura riabilitativa accreditata
`void` | `setFlagAccreditamentoAttivo(java.lang.String flagAccreditamentoAttivo)` Imposta lo stato del rapporto di accreditamento.
`void` | `setFlagTipoPrivata(java.lang.String flagTipoPrivata)` Imposta la tipologia della struttura riabilitativa.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceStruttura

    @MinOccurs(value=0L)
    private java.lang.String codiceStruttura

  Codice identificativo univoco a livello Regionale.

### denominazione

    private java.lang.String denominazione

  denominazione della struttura riabilitativa.

### flagTipoPrivata

    @Facets(enumeration={""," ","0","1"})
    private java.lang.String flagTipoPrivata

  Identifica la tipologia della struttura riabilitativa (pubblica o privata). Valori possibili:
  - 0 (privata)
  - 1 (pubblica)

### codISTAT

    private java.lang.String codISTAT

  Codice ISTAT del comune della sede in cui svolge la propria attivitā;

### flagAccreditamentoAttivo

    @Facets(enumeration={""," ","0","1"})
    private java.lang.String flagAccreditamentoAttivo

  Stato del rapporto di accreditamento (attivo o non attivo). Valori possibili:
  - 0 (accreditamento non attivo)
  - 1 (accreditamento attivo)

Constructor Detail

### StrutturaRiabilitativaAccreditataRequest

    public StrutturaRiabilitativaAccreditataRequest()

Method Detail

### getCodiceStruttura

    public java.lang.String getCodiceStruttura()

  Restituisce il codice identificativo univoco a livello Regionale.

  Returns:
    codice identificativo univoco a livello Regionale.

### setCodiceStruttura

    public void setCodiceStruttura(java.lang.String codiceStruttura)

  Imposta il codice identificativo univoco a livello Regionale.

  Parameters:
    `codice` - della struttura riabilitativa

### getDenominazione

    public java.lang.String getDenominazione()

  Restituisce la denominazione della struttura riabilitativa accreditata

  Returns:
    denominazione della struttura riabilitativa accreditata

### setDenominazione

    public void setDenominazione(java.lang.String denominazione)

  Imposta la denominazione della struttura riabilitativa accreditata

  Parameters:
    `denominazione` -

### getFlagTipoPrivata

    public java.lang.String getFlagTipoPrivata()

  Restituisce la tipologia della struttura riabilitativa.

  Returns:
    Valori possibili:
    - 0 (privata)
    - 1 (pubblica)

### setFlagTipoPrivata

    public void setFlagTipoPrivata(java.lang.String flagTipoPrivata)

  Imposta la tipologia della struttura riabilitativa.

  Parameters:
    `flagTipoPrivata` - I valori possibili sono :
    - 0 (privata)
    - 1 (pubblica)

### getCodISTAT

    public java.lang.String getCodISTAT()

  Restituisce il codice ISTAT del comune della sede in cui svolge la propria attività

  Returns:
    codice ISTAT

### setCodISTAT

    public void setCodISTAT(java.lang.String codISTAT)

  Imposta il codice ISTAT del comune della sede in cui svolge la propria attività

  Parameters:
    `codice` - ISTAT

### getFlagAccreditamentoAttivo

    public java.lang.String getFlagAccreditamentoAttivo()

  Restituisce lo stato del rapporto di accreditamento.

  Returns:
    flag accreditamento attivo. Valori possibili:
    - 0 (accreditamento non attivo)
    - 1 (accreditamento attivo)

### setFlagAccreditamentoAttivo

    public void setFlagAccreditamentoAttivo(java.lang.String flagAccreditamentoAttivo)

  Imposta lo stato del rapporto di accreditamento.

  Parameters:
    `flag` - accreditamento attivo. Valori possibili:
    - 0 (accreditamento non attivo)
    - 1 (accreditamento attivo)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD